Loading...
Searching...
No Matches
Halide::ExternCFunction Struct Reference

`#include <Pipeline.h>`

## Public Member Functions

| ExternCFunction ()=default
| ExternCFunction (void *address, const ExternSignature &signature)
template<typename RT, typename... Args>
| ExternCFunction (RT(*f)(Args... args))
void * | address () const
const ExternSignature & | signature () const

## Detailed Description

Definition at line 557 of file Pipeline.h.

## Constructor & Destructor Documentation

## ExternCFunction() [1/3]

Halide::ExternCFunction::ExternCFunction | ( |  | ) |

default

Referenced by ExternCFunction().

## ExternCFunction() [2/3]

Halide::ExternCFunction::ExternCFunction | ( | void * | address,
|  | const ExternSignature & | signature )

inline

Definition at line 565 of file Pipeline.h.

References address(), and signature().

## ExternCFunction() [3/3]

template<typename RT, typename... Args>

Halide::ExternCFunction::ExternCFunction | ( | RT(* | f )(Args... args) | ) |

inline

Definition at line 570 of file Pipeline.h.

References ExternCFunction().

## Member Function Documentation

## address()

void * Halide::ExternCFunction::address | ( |  | ) | const

inline

Definition at line 574 of file Pipeline.h.

Referenced by ExternCFunction().

## signature()

const ExternSignature & Halide::ExternCFunction::signature | ( |  | ) | const

inline

Definition at line 577 of file Pipeline.h.

Referenced by ExternCFunction().

The documentation for this struct was generated from the following file:

- src/Pipeline.h